namespace Sex
{
    public partial class Sex : System.Web.UI.Page
    {
        public class ListExifAll : MyList
        {
            public ListExifAll(State MyState) : base(MyState, "Exif Data", "Id-Dec", new string[] { "Id-Hex", "ShortName" })
            {
                for (int i = 0; i < Exif.Entries.Length; i++)
                {
                    Add(Exif.Entries[i].Id.ToString().PadLeft(5, '0'), new string[] 
                    { 
                        Hex.ToHex(Exif.Entries[i].Id),
                        Exif.Entries[i].Name
                    });
                }
            }
        }
    }
}